#GIT_CMT=5f53b4602ea6c23e119deb029bbe9342a038c183
# Copyright (C) Oracle Inc

# If any of these RPMS is revised, the
# release and/or version needs update in list below
# release and/or version of this RPM needs to be bumped!
#
# Caution: Careful exact version-release needed - no mistakes!
%define uek_ibutils			1.5.7-0.2.gbd7e502.0.3
%define uek_infiniband_diags		1.6.5-1.0.3
%define uek_infiniband_diags_guest	%{uek_infiniband_diags}
%define uek_libibcm			1.0.5-1.0.2
%define uek_libibmad			1.3.12-1.0.2
%define uek_libibmad_devel		%{uek_libibmad}
%define uek_libibumad			1.3.10.2-1.0.1
%define uek_libibumad_devel		%{uek_libibumad}
%define uek_libibverbs			1.1.8-1.0.7
%define uek_libibverbs_devel		%{uek_libibverbs}
%define uek_libibverbs_utils		%{uek_libibverbs}
%define uek_libmlx4			1.0.6-1.0.4
%define uek_librdmacm			1.0.20-1.0.4
%define uek_librdmacm_devel		%{uek_librdmacm}
%define uek_librdmacm_utils		%{uek_librdmacm}
%define uek_libibacl			1.0-4
%define uek_mstflint			4.0.0-1.35.gac9a120.0.2
%define uek_opensm_libs			3.3.19-1.0.2
%define uek_perftest			3.0-0.0.2
%define uek_qperf			0.4.9-2.0.2

# Note: These two rpms usually work across UEK kernel releases
#       and their versions likely to be same across different UEK
#       kernels.
%define uek_rdma			3.10-3.0.34
%define uek_rds_tools			2.0.7-1.18

# There is no URL or upstream source entry as these packages constitutes
# upstream for itself

Name:		oracle-ofed-release
Version:	1.0.0
Release:	29%{dist}
Source0:	COPYING
Summary:	Setup for install of Oracle OFED stack userland Libraries and Utils

Group:		System Environment/Libraries
License:	GPLv2 or BSD
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


# If any ofed userland rpm is added to requirements, it
# needs listing here. 
Requires:	ibutils = %{uek_ibutils}%{dist}
# Note: Following two lines different between base and -guest package!
Requires:	infiniband-diags = %{uek_infiniband_diags}%{dist}
Conflicts:	infiniband-diags-guest
Requires:	libibcm = %{uek_libibcm}%{dist}
Requires:	libibmad = %{uek_libibmad}%{dist}
Requires:	libibmad-devel = %{uek_libibmad_devel}%{dist}
Requires:	libibumad = %{uek_libibumad}%{dist}
Requires:	libibumad-devel = %{uek_libibumad_devel}%{dist}
Requires:	libibverbs = %{uek_libibverbs}%{dist}
Requires:	libibverbs-devel = %{uek_libibverbs_devel}%{dist}
Requires:	libibverbs-utils = %{uek_libibverbs_utils}%{dist}
Requires:	libmlx4 = %{uek_libmlx4}%{dist}
Requires:	librdmacm = %{uek_librdmacm}%{dist}
Requires:	librdmacm-devel = %{uek_librdmacm_devel}%{dist}
Requires:	librdmacm-utils = %{uek_librdmacm_utils}%{dist}
%if 0%{?rhel} == 6
Requires:	libibacl = %{uek_libibacl}%{dist}
%endif
Requires:	mstflint = %{uek_mstflint}%{dist}
Requires:	opensm-libs = %{uek_opensm_libs}%{dist}
Requires:	perftest = %{uek_perftest}%{dist}
Requires:	qperf = %{uek_qperf}%{dist}

# Note: These two rpms usually work across UEK kernel releases
#       and their versions likely to be same across different UEK
#       kernels.
Requires:	rdma = %{uek_rdma}%{dist}
Requires:	rds-tools = %{uek_rds_tools}%{dist}


%description
This package installs software packages which are part of Oracle UEK OFED
releases for bare metal and dom0.

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_defaultdocdir}/%{name}
install -m 0644 %{SOURCE0} %{buildroot}%{_defaultdocdir}/%{name}

%files
%defattr(-,root,root,-)
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/COPYING

%package guest

Summary:	Setup for install of Oracle OFED stack userland Libraries and Utils for Guest OS

Group:		System Environment/Libraries
License:	GPLv2 or BSD

# If any ofed userland rpm is added to requirements for guest package, it
# needs listing here. 
Requires:	ibutils = %{uek_ibutils}%{dist}
# Note: Following two lines different between base and -guest package!
Conflicts:	infiniband-diags
Requires:	infiniband-diags-guest =  %{uek_infiniband_diags_guest}%{dist}
Requires:	libibcm = %{uek_libibcm}%{dist}
Requires:	libibmad = %{uek_libibmad}%{dist}
Requires:	libibmad-devel = %{uek_libibmad_devel}%{dist}
Requires:	libibumad = %{uek_libibumad}%{dist}
Requires:	libibumad-devel = %{uek_libibumad_devel}%{dist}
Requires:	libibverbs = %{uek_libibverbs}%{dist}
Requires:	libibverbs-devel = %{uek_libibverbs_devel}%{dist}
Requires:	libibverbs-utils = %{uek_libibverbs_utils}%{dist}
Requires:	libmlx4 = %{uek_libmlx4}%{dist}
Requires:	librdmacm = %{uek_librdmacm}%{dist}
Requires:	librdmacm-devel = %{uek_librdmacm_devel}%{dist}
Requires:	librdmacm-utils = %{uek_librdmacm_utils}%{dist}
%if 0%{?rhel} == 6
Requires:	libibacl = %{uek_libibacl}%{dist}
%endif
#Note: mstflint rpm contents dont work on guests - so its excluded from guests
Requires:	opensm-libs = %{uek_opensm_libs}%{dist}
Requires:	perftest = %{uek_perftest}%{dist}
Requires:	qperf = %{uek_qperf}%{dist}

# Note: These two rpms usually work across UEK kernel releases
#       and their versions likely to be same across different UEK
#       kernels.
Requires:	rdma = %{uek_rdma}%{dist}
Requires:	rds-tools = %{uek_rds_tools}%{dist}


%description guest
This package installs software packages which are part of Oracle UEK OFED
releases for virtual machines.


%files guest
%defattr(-,root,root,-)
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/COPYING


%changelog
* Wed May 17 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-29
- BUILDINFO: commit=5f53b4602ea6c23e119deb029bbe9342a038c183
- update rdma-3.10 (Mukesh Kacker)  

* Wed May 17 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-28
- BUILDINFO: commit=59337ebd360ce772f50ac6a6a1316d8d09563ed3
- update libibverbs, librdmacm (Mukesh Kacker)

* Wed May 17 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-27
- BUILDINFO: commit=da1ae3d570be84bfc55e5e8218ad750c406d5703
- upgrade libmlx4 (Qing Huang)

* Wed May 17 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-26
- BUILDINFO: commit=6bbffa0188a1af4daf50ae9ffa9dfdc1125ef03c
- Update libibacl (Yuval Shaia)

* Sat May 13 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-25
- BUILDINFO: commit=04f97bb881887c5752ecdd6da6d89a6781c26d19
- Bump release for build in git after import from svn

* Fri Feb 10 2017 Joe Jin <joe.jin@oracle.com> - 1.0.0-24
- [oraug 25539977] skip  port config if dev is ethernet

* Thu Jan 19 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-23
- [Orabug: 25424024 ] libibacl update to fix copyright issues

* Thu Oct 27 2016 Yuval Shaia <yuval.shaia@oracle.com> - 1.0.0-22
- Add libibacl to required set of RPMs

* Mon Oct 10 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-21
- Bump release number for next libibmad update

* Tue Oct 04 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-20
- Bump release number for rdma-3.10 package update

* Mon Sep 12 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-19
- Bump release number for rdma-3.10 package update

* Fri Aug 26 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-18
- Bump release number for next rdma-3.10 package update

* Sat Aug 13 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-17
- Bump release number for another rdma package update

* Thu Aug 04 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-16
- Bump release number for rdma package

* Thu Jul 21 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-15
- Update rds-tools rpm release required
  - Bump release number for infiniband-diags{_guest}

* Sat Jun 25 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-14
- [Orabug 23643216] Drop mstflint from guest rpm requirements
  - [Orabug 23643209] Drop ofed-docs from base and guest rpm requirements
  - Bump release number for infiniband-diags{_guest}

* Sat Jun 18 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-13
- [Orabug 23216872] Make oracle-ofed-release-guest rpms for guest rpms
  - New infiniband-diags-guest rpm for guest os
  - Bump release number for infiniband-diags{_guest}

* Mon Jun 06 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-12
- [Orabug 22731997] Add support for sparc64 platform
  - Updated mstflint, rdma, and rds-tools packages

* Fri May 27 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-11
- [Orabug: 23479809] Remove tk from required rpms for ibutils
  - Bump required release for ibutils rpm

* Mon May 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-10
- [Orabug: 23287059] Rebuild rpms due to header changes in required rpms
  - Updated required release for libibcm, perftest, qperf

* Mon May 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-9
- [Orabug: 21616281] Add support for UEK2 XRC Api binary compatibility
  - libverbs, libmlx4, librdmacm required release updated

* Sat Jan 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-8
- Restore libibverbs, libmlx4, librdmacm changes for sharedpd, user fmr
  - Add changelog to spec file for past changes

* Thu Jan 14 2016 Qing Huang <qing.huang@oracle.com> - 1.0.0-7
- Update rdma package required.

* Wed Dec 09 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-6
- Rollback libibverbs, libmlx4, librdmacm releases to investigate
    iser test instability.

* Tue Nov 17 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-5
- Fix COPYING file text

* Thu Nov 12 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-4
- Update License to GPLv2 or BSD.

* Thu Sep 24 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-3
- Update release numbers for ibutils, infiniband-diags, libibverbs,
    libmlx4, librdmacm to pull in recent fixes.

* Sat Aug 22 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-2
- Add perftest rpm as a requirement.

* Fri Aug 07 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.0-1
- Initial version

